<link rel="stylesheet" type="text/css" href="{$module_dir}css/gpn.css" >

    <div class="gpn-wrap">
        {if $gpndata_confirmation}
        <div>
            <legend id="config">
                <img src="{$module_dir}img/icon-config.gif" id="config-logo" alt="" />{$gpndata_confirmation|escape:'htmlall':'UTF-8'}
            </legend>

            <br/>
            <br/>
            {/if}
            <div class="gpn-header">
                <a href="https://gpndata.com" target="_blank">
                    <img src="{$module_dir}img/logo-s.png" alt="GPN DATA" class="gpn-logo-s" />
                </a>
                <span class="gpn-intro">
                    {l s='Online Payment Gateway' mod='gpndata'}<br />
                    {l s='State-of-the-art processing technology' mod='gpndata'}
                </span>
                <a href="https://gpndata.com/locations/" target="_blank" class="gpn-create-btn">{l s='Create an Account Now!' mod='gpndata'}</a>
            </div>
            <div class="gpn-content">
                <div class="gpn-half L">
                    <h3>{l s='GPN Data offers the following benefits' mod='gpndata'}</h3>
                    <ul>
                        <li>
                            <strong>{l s='Increase customer payment options' mod='gpndata'}</strong>
                        </li>
                        <li>
                            <strong>{l s='Visa, MasterCard, Maestro, Amex, Union Pay'}</strong>
                            <br />
                            <li>
                                <strong>{l s='Enhanced security' mod='gpndata'}</strong><br />
                                {l s='Fraud mitigation programs leading to up to 90% savings ' mod='gpndata'}
                            </li>
                        </li>
                        <li>{l s='Simple, reliable solution to process online credit card payments' mod='gpndata'}</li>
                        <li>{l s='Recurring billing' mod='gpndata'}</li>
                        <li>{l s='24/7/365 technical support' mod='gpndata'}</li>
                        <p class="gpn-note">
                            <strong>*</strong> {l s='New merchant account required and subject to credit approval.' mod='gpndata'}
                        </p>
                    </ul>
                </div>
                <div class="gpn-half R">
                    <ul>
                        <li id="gpn-li-first">{l s='Simple, secure and reliable solution to process online payments' mod='gpndata'}</li>
                        <li>{l s='Recurring Billing' mod='gpndata'}</li>
                        <li>{l s='24/7/365 customer support' mod='gpndata'}</li>
                        <li>{l s='Ability to perform full or partial refunds' mod='gpndata'}</li>
                    </ul>
                    <p class="gpn-note">
                        <strong>*</strong> {l s='New merchant account required and subject to credit approval.' mod='gpndata'}
                    </p>
                </div>
                <div class="gpn-full" style="border:1">
                    <h3>{l s='Accept payments World Wide using all major credit cards' mod='gpndata'}</h3>
                    <p>
                        <span>
                            <img src="{$module_dir}img/visa.png" alt="{l s='Visa®' mod='gpn'}" class="gpn-cc" />
                            <img src="{$module_dir}img/mastercard.png" alt="{l s='MasterCard®' mod='gpn'}" class="gpn-cc" />
                            <img src="{$module_dir}img/maestro.png" alt="{l s='Maestro®' mod='gpn'}" class="gpn-cc" />
                            <img src="{$module_dir}img/amex.png" alt="{l s='American Express®' mod='gpn'}" class="gpn-cc" />
                            <img src="{$module_dir}img/diners.png" alt="{l s='Diners®' mod='gpn'}" class="gpn-cc" />
                            <img src="{$module_dir}img/discover.png" alt="{l s='Discover®' mod='gpn'}" class="gpn-cc" />
                            <img src="{$module_dir}img/unionpay.png" alt="{l s='Union Pay®' mod='gpn'}" class="gpn-cc" />
                            <img src="{$module_dir}img/jcb.png" alt="{l s='JCB®' mod='gpn'}" class="gpn-cc" />
                        </span>
                    </p>
                    <!--	{l s='Call 888-368-4284 if you have any questions or need more information!' mod='gpndata'}</p>-->
                </div>
            </div>

            {if !$gpndata_ssl}
            <legend id="config">
                <div>
                    <strong>{l s='SSL is not active on your shop.' mod='gpndata'}</strong>
                    <br/>
                    <br/>
                    <strong class="warn">{l s='You will not be able to use full plugin functionality!' mod='gpndata'}</strong>
                </div>
            </legend>
            <br/>
            <br/>
            {/if}
            <br/>

            <form action="{$gpndata_form|escape:'htmlall':'UTF-8'}" id="gpndata-configuration" method="post">
                <input type="hidden" id="gpndata_iframe_language_selected" name="gpndata_iframe_language_selected" value="{$gpndata_iframe_language_selected|escape:'htmlall':'UTF-8'}" />
                <fieldset>
                    <legend id="config">
                        <img src="{$module_dir}img/icon-config.gif" id="config-logo" alt="" />{l s=' Configuration' mod='gpndata'}
                    </legend>
                    <div>

                        <!-- class="gpn-half L" -->
                        <p>{l s='In order to use this module, please fill out the form with the credentials provided to you by GPN DATA Technical Support!' mod='gpndata'}</p>
                        <br/>

                        <label for="gpndata_payment_merchant_name">{l s='Merchant name:' mod='gpndata'}</label>
                        <div class="margin-form">
                            <input type="text" style="width:390px;" class="text" name="gpndata_payment_merchant_name" id="gpndata_payment_merchant_name" value="{$gpndata_payment_merchant_name|escape:'htmlall':'UTF-8'}" />
                            <br>
                                <br>
                                    <sup class="sup-ast">*</sup>
                                    <sup class="sup-desc">This is the specific value that you have received from GPN Data Technical Support, used with your Merchant account for processing.</sup>
                                </div>
                        <label for="pretty_name" data-type="old-iframe">{l s='Pretty Name:' mod='gpndata'}</label>
                        <div class="margin-form" data-type="old-iframe">
                            <input type="text" style="width:390px;" class="text" name="gpndata_pretty_name" id="gpndata_pretty_name" value="{$gpndata_pretty_name|escape:'htmlall':'UTF-8'}" />
                            <br>
                                <br>
                                    <sup class="sup-ast">*</sup>
                                    <sup class="sup-desc">This is the specific value that you have received from GPN Data Technical Support, used with your Merchant account for processing.</sup>
                                </div>
                        <label for="iframe_url" data-type="old-iframe">{l s='iFrame Script Url:' mod='gpndata'}</label>
                        <div class="margin-form" data-type="old-iframe">
                            <input type="text" style="width:390px;" class="text" name="gpndata_iframe_url" id="gpndata_iframe_url" value="{$gpndata_iframe_url|escape:'htmlall':'UTF-8'}" />
                            <br>
                                <br>
                                    <sup class="sup-ast">*</sup>
                                    <sup class="sup-desc">This is the specific value that you have received from GPN Data Technical Support, used with your Merchant account for processing.</sup>
                                </div>
                        <div class="margin-form">
                            <label for="gpndata_iframe_language">{l s='iFrame language:' mod='gpndata'}</label>
                            <select id="gpndata_iframe_language" name ="gpndata_iframe_language" style="width:390px;">
                                <option id ="0" value="">Please select iFrame language</option>
                                <option id ="1" value="en">English</option>
                                <option id ="2" value="de">German</option>
                                <option id ="3" value="hr">Croatian</option>
                                <option id ="4" value="es">Spanish</option>
                                <option id ="5" value="lv">Latvia</option>
                                <option id ="6" value="ro">Romania</option>
                                <option id ="7" value="ru">Russian Federation</option>
                            </select>
                            <!-- <input type="text" style="width:390px;" class="text" name="gpndata_payment_merchant_name" id="gpndata_payment_merchant_name" value="{$gpndata_payment_merchant_name|escape:'htmlall':'UTF-8'}" /> -->
                            <br>
                                <br>
                                    <sup class="sup-ast">*</sup>
                                    <sup class="sup-desc">Please select iFrame language</sup>
                                </div>
                        <label for="logo_url" data-type="old-iframe">{l s='Logo Full Path Url:' mod='gpndata'}</label>
                        <div class="margin-form" data-type="old-iframe">
                            <input type="text" style="width:390px;" class="text" name="gpndata_logo_url" id="gpndata_logo_url" value="{$gpndata_logo_url|escape:'htmlall':'UTF-8'}" />
                            <br>
                                <br>
                                    <sup class="sup-desc">The full URL to the image which you wish to be displayed as your logo on iFrame.</sup>
                                </div>
                        <label for="gpndata_notifications_url">{l s='Notifications URL:' mod='gpndata'}</label>
                        <div class="margin-form">
                            <input type="text" readonly="" style="width:650px; background-color:#EBEDF4;" class="text" name="gpndata_notifications_url" id="gpndata_notifications_url" value="{$gpndata_notifications_url|escape:'htmlall':'UTF-8'}" />
                            <br>
                                <br>
                                    <sup class="sup-ast">*</sup>
                                    <sup class="sup-desc">This is the notifications URL that you must provide to GPN Data Technical Support.</sup>
                                </div>


                        <div class="margin-form">
                            <label for="gpndata_payment_description">{l s='Description:' mod='gpndata'}</label>
                            <textarea rows="3" cols="20" class="text" type="textarea" name="gpndata_payment_description" id="gpndata_payment_description" style="width:650px;" placeholder="">{$gpndata_payment_description|escape:'htmlall':'UTF-8'}</textarea>
                            <br>
                                <br>
                                    <sup class="sup-ast">*</sup>

                                    <sup class="sup-desc">This controls the description which the user sees during checkout.</sup>
                                </div>
                        <div class="margin-form">
                            <label for="gpndata_payment_iframe_description">{l s='Ifame description text:' mod='gpndata'}</label>
                            <textarea rows="3" cols="20" class="text" type="textarea" name="gpndata_payment_iframe_description" id="gpndata_payment_iframe_description" style="width:650px;" placeholder="">{$gpndata_payment_iframe_description|escape:'htmlall':'UTF-8'}</textarea>
                            <br>
                                <br>
                                    <sup class="sup-ast">*</sup>

                                    <sup class="sup-desc">This controls the IFRAME description which the user sees during purchase.</sup>
                                </div>
                        <br/>
                        <br/>
                        <legend id="config">
                            <img src="{$module_dir}img/icon-config.gif" id="config-logo" alt="" />{l s='  Bellow configuration section is to enable refunds and captures from this module.' mod='gpndata'}
                        </legend>
                        <label for="gpndata_api_user">{l s='API User:' mod='gpndata'}</label>
                        <div class="margin-form">
                            <input type="text" style="width:390px;" class="text" name="gpndata_api_user" id="gpndata_api_user" value="{$gpndata_api_user|escape:'htmlall':'UTF-8'}" />
                            <br>
                                <br>
                                    <sup class="sup-ast">*</sup>
                                    <sup class="sup-desc">As provided to you on Merchant Back Office.</sup>
                                </div>
                        <label for="gpndata_api_password">{l s='API Password:' mod='gpndata'}</label>
                        <div class="margin-form">
                            <input type="password" style="width:390px;" class="text" name="gpndata_api_password" id="gpndata_api_password" value="{$gpndata_api_password|escape:'htmlall':'UTF-8'}" />
                            <br>
                                <br>
                                    <sup class="sup-ast">*</sup>
                                    <sup class="sup-desc">As provided to you on Merchant Back Office.</sup>
                                </div>
                        <label for="gpndata_api_key">{l s='API Access Key:' mod='gpndata'}</label>
                        <div class="margin-form">
                            <input type="text" style="width:390px;" class="text" name="gpndata_api_key" id="gpndata_api_key" value="{$gpndata_api_key|escape:'htmlall':'UTF-8'}" />
                            <br>
                                <br>
                                    <sup class="sup-ast">*</sup>
                                    <sup class="sup-desc">As provided to you on Merchant Back Office.</sup>
                                </div>

                        <label for="gpndata_api_url">{l s='Transaction URL:' mod='gpndata'}</label>
                        <div class="margin-form">
                            <input type="text" style="width:390px;" class="text" name="gpndata_api_url" id="gpndata_api_url" value="{$gpndata_api_url|escape:'htmlall':'UTF-8'}" />
                            <br>
                                <br>
                                    <sup class="sup-ast">*</sup>
                                    <sup class="sup-desc">As provided to you on Merchant Back Office.</sup>
                                </div>

                        <hr hidden="" size="1" style="background: #BBB; margin: 0; height: 1px;" noshade="">
                            <br>
                                <p  hidden="" class="MB10">{l s='Please fill out the URL section!' mod='gpndata'}</p>

                                <hr size="1" style="background: #BBB; margin: 0; height: 1px;" noshade="">
                                    <br>

                                        <div class="margin-form">
                                            <center id="form-end">
                                                <input type="submit" name="submitConfigurationData" value="{l s='Update module configuration' mod='gpndata'}" />
                                            </center>
                                        </div>
                                        <span class="small">
                                            <sup class="sup-ast last">* {l s='Required Fields' mod='gpndata'}</sup>
                                        </span>
                                    </div>
                </fieldset>
            </form>
            <script>
                document.getElementById('gpndata_iframe_language').addEventListener('change', function (e){
                document.getElementById('gpndata_iframe_language_selected').value =  e.target.options[e.target.selectedIndex].getAttribute('value');
                });

                function setiFrameLanguage(selected){
                document.getElementById('gpndata_iframe_language').value = selected;
                }
                setiFrameLanguage(document.getElementById('gpndata_iframe_language_selected').value);
            </script>
        </div>
    